## ust 2.13.9

=== doc/examples/cmake-multiple-shared-libraries/CMakeLists.txt ===
# SPDX-License-Identifier: MIT

cmake_minimum_required(VERSION 3.5.0)
project(ALIGNER)
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

include_directories(.)

include (FindLTTngUST REQUIRED)

add_library(tracepoint-provider SHARED tracepoint-provider.cpp)
target_link_libraries(tracepoint-provider LTTng::UST)

add_library(aligner-lib SHARED aligner-lib.cpp)
target_link_libraries(aligner-lib tracepoint-provider)

add_library(tester-lib SHARED tester-lib.cpp)
target_link_libraries(tester-lib tracepoint-provider)

link_libraries(aligner-lib)

add_executable(aligner aligner.cpp)

add_executable(tester tester.cpp)
target_link_libraries(tester tester-lib)

=== doc/examples/java-log4j2-ctx/Makefile ===
# SPDX-License-Identifier: LGPL-2.1-only
#
# Copyright (C) 2014 Christian Babeux <christian.babeux@efficios.com>
#
# This Makefile is not using automake so that users may see how to build a
# program with tracepoint provider probes as stand-alone shared objects.
#
# This makefile is purposefully kept simple to support GNU and BSD make.
#

# Required JAR files for Log4j 2.x
JARFILE_LOG4J2=lttng-ust-agent-log4j2.jar
JARFILE_COMMON=lttng-ust-agent-common.jar

# If system classpath is empty, try to guess log4j location
ifeq "$(CLASSPATH)" ""
	CLASSPATH=/usr/local/share/java/log4j.jar:/usr/share/java/log4j.jar
endif

# Check if the top level makefile overrides the Log4j Jar file's path.
ifeq "$(JAVA_CLASSPATH_OVERRIDE_LOG4J2)" ""
	LOG4J2_CP = /usr/local/share/java/$(JARFILE_LOG4J2):/usr/share/java/$(JARFILE_LOG4J2)
else
	LOG4J2_CP = $(JAVA_CLASSPATH_OVERRIDE_LOG4J2)/$(JARFILE_LOG4J2)
endif

# Check if the top level makefile overrides the Common Jar file's path.
ifeq "$(JAVA_CLASSPATH_OVERRIDE_COMMON)" ""
	COMMON_CP = /usr/local/share/java/$(JARFILE_COMMON):/usr/share/java/$(JARFILE_COMMON)
else
	COMMON_CP = $(JAVA_CLASSPATH_OVERRIDE_COMMON)/$(JARFILE_COMMON)
endif

JFLAGS = -g
JC = javac -classpath "$(CLASSPATH):$(LOG4J2_CP):$(COMMON_CP):."
.SUFFIXES: .java .class
.java.class:
	$(JC) $(JFLAGS) $*.java

CLASSES = HelloLog4j2Ctx.java

all: classes

classes: $(CLASSES:.java=.class)

.PHONY: clean
clean:
	$(RM) $(CLASSES:.java=.class)

=== debian/changelog ===
ust (2.13.9-1) unstable; urgency=medium

  * [e373746] New upstream version 2.13.9

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 14 Apr 2025 17:01:33 -0400

## ust 2.14.0

=== doc/examples/demo-tracef/Makefile ===
# SPDX-License-Identifier: MIT
#
# Copyright (C) 2013  Jérémie Galarneau <jeremie.galarneau@efficios.com>
# Copyright (C) 2014  Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
#
# This Makefile is not using automake so that users may see how to build
# a program with tracepoint provider probes as stand-alone shared objects.
#
# This makefile is purposefully kept simple to support GNU and BSD make.

LIBS = -ldl -llttng-ust	# On Linux
#LIBS = -lc	# On BSD
LOCAL_CPPFLAGS += -I.
AM_V_P := :

all: demo-tracef demo-vtracef

demo-tracef.o: demo-tracef.c
	@if $(AM_V_P); then set -x; else echo "  CC       $@"; fi; \
		$(CC) $(CPPFLAGS) $(LOCAL_CPPFLAGS) $(AM_CFLAGS) $(AM_CPPFLAGS) \
		$(CFLAGS) -c -o $@ $<

demo-tracef: demo-tracef.o
	@if $(AM_V_P); then set -x; else echo "  CCLD     $@"; fi; \
		$(CC) $(LDFLAGS) $(AM_CFLAGS) $(AM_LDFLAGS) $(CFLAGS) \
		-o $@ $< $(LIBS)

demo-vtracef.o: demo-vtracef.c
	@if $(AM_V_P); then set -x; else echo "  CC       $@"; fi; \
		$(CC) $(CPPFLAGS) $(LOCAL_CPPFLAGS) $(AM_CFLAGS) $(AM_CPPFLAGS) \
		$(CFLAGS) -c -o $@ $<

demo-vtracef: demo-vtracef.o
	@if $(AM_V_P); then set -x; else echo "  CCLD     $@"; fi; \
		$(CC) $(LDFLAGS) $(AM_CFLAGS) $(AM_LDFLAGS) $(CFLAGS) \
		-o $@ $< $(LIBS)

.PHONY: clean
clean:
	rm -f *.o *.a demo-tracef demo-vtracef

=== doc/examples/demo/Makefile ===
# SPDX-License-Identifier: MIT
#
# Copyright (C) 2013 Jérémie Galarneau <jeremie.galarneau@efficios.com>
#
# This Makefile is not using automake so that users may see how to build
# a program with tracepoint provider probes as stand-alone shared objects.
#
# This makefile is purposefully kept simple to support GNU and BSD make.

LIBS = -ldl	# On Linux
#LIBS = -lc	# On BSD
LOCAL_CPPFLAGS += -I.
AM_V_P := :

all: demo lttng-ust-provider-ust-tests-demo.so lttng-ust-provider-ust-tests-demo3.so

tp.o: tp.c ust_tests_demo.h
	@if $(AM_V_P); then set -x; else echo "  CC       $@"; fi; \
		$(CC) $(CPPFLAGS) $(LOCAL_CPPFLAGS) $(AM_CFLAGS) $(AM_CPPFLAGS) \
		$(CFLAGS) -fpic -c -o $@ $<

tp2.o: tp2.c ust_tests_demo2.h
	@if $(AM_V_P); then set -x; else echo "  CC       $@"; fi; \
		$(CC) $(CPPFLAGS) $(LOCAL_CPPFLAGS) $(AM_CFLAGS) $(AM_CPPFLAGS) \
		$(CFLAGS) -fpic -c -o $@ $<

lttng-ust-provider-ust-tests-demo.so: tp.o tp2.o
	@if $(AM_V_P); then set -x; else echo "  CCLD     $@"; fi; \
		$(CC) -Wl,--no-as-needed -o $@ $(LDFLAGS) $(AM_CFLAGS) \
		$(AM_LDFLAGS) $(CFLAGS) -shared -fpic tp.o tp2.o $(LIBS) -llttng-ust

tp3.o: tp3.c ust_tests_demo3.h
	@if $(AM_V_P); then set -x; else echo "  CC       $@"; fi; \
		$(CC) $(CPPFLAGS) $(LOCAL_CPPFLAGS) $(AM_CFLAGS) $(AM_CPPFLAGS) \
		$(CFLAGS) -fpic -c -o $@ $<

lttng-ust-provider-ust-tests-demo3.so: tp3.o
	@if $(AM_V_P); then set -x; else echo "  CCLD     $@"; fi; \
		$(CC) -Wl,--no-as-needed -o $@ $(LDFLAGS) $(AM_CFLAGS) \
		$(AM_LDFLAGS) $(CFLAGS) -shared -fpic tp3.o $(LIBS) -llttng-ust

demo.o: demo.c
	@if $(AM_V_P); then set -x; else echo "  CC       $@"; fi; \
		$(CC) $(CPPFLAGS) $(LOCAL_CPPFLAGS) $(AM_CFLAGS) $(AM_CPPFLAGS) \
		$(CFLAGS) -c -o $@ $<

demo: demo.o
	@if $(AM_V_P); then set -x; else echo "  CCLD     $@"; fi; \
		$(CC) $(LDFLAGS) $(AM_CFLAGS) $(AM_LDFLAGS) $(CFLAGS) \
		-o $@ demo.o $(LIBS)

.PHONY: clean
clean:
	rm -f *.o *.so demo

=== doc/examples/hello-static-lib/Makefile ===
# SPDX-License-Identifier: MIT
#
# Copyright (C) 2013 Jérémie Galarneau <jeremie.galarneau@efficios.com>
#
# This Makefile is not using automake so that users may see how to build
# a program with tracepoint provider probes compiled as static libraries.
#
# This makefile is purposefully kept simple to support GNU and BSD make.

LOCAL_CPPFLAGS += -I.
LIBS = -ldl -llttng-ust	# On Linux
#LIBS = -lc -llttng-ust	# On BSD
AM_V_P := :
AR ?= ar

all: hello

lttng-ust-provider-hello.o: tp.c ust_tests_hello.h
	@if $(AM_V_P); then set -x; else echo "  CC       $@"; fi; \
		$(CC) $(CPPFLAGS) $(LOCAL_CPPFLAGS) $(AM_CFLAGS) $(AM_CPPFLAGS) \
		$(CFLAGS) -c -o $@ $<

lttng-ust-provider-hello.a: lttng-ust-provider-hello.o
	@if $(AM_V_P); then set -x; else echo "  AR       $@"; fi; \
		$(AR) -rc $@ lttng-ust-provider-hello.o

hello.o: hello.c
	@if $(AM_V_P); then set -x; else echo "  CC       $@"; fi; \
		$(CC) $(CPPFLAGS) $(LOCAL_CPPFLAGS) $(AM_CFLAGS) $(AM_CPPFLAGS) \
		$(CFLAGS) -c -o $@ $<

hello: hello.o lttng-ust-provider-hello.a
	@if $(AM_V_P); then set -x; else echo "  CCLD     $@"; fi; \
		$(CC) -o $@ $(LDFLAGS) $(CPPFLAGS) $(AM_LDFLAGS) $(AM_CFLAGS) \
		$(CFLAGS) hello.o lttng-ust-provider-hello.a $(LIBS)

.PHONY: clean
clean:
	rm -f *.o *.a hello

=== doc/examples/java-jul/Makefile ===
# SPDX-License-Identifier: MIT
#
# Copyright (C) 2013 David Goulet <dgoulet@efficios.com>
#
# This Makefile is not using automake so that users may see how to build a
# program with tracepoint provider probes as stand-alone shared objects.
#
# This makefile is purposefully kept simple to support GNU and BSD make.
#

# Required JAR files for JUL
JARFILE_JUL=lttng-ust-agent-jul.jar
JARFILE_COMMON=lttng-ust-agent-common.jar

# Check if the top level makefile overrides the JUL Jar file's path.
ifeq "$(JAVA_CLASSPATH_OVERRIDE_JUL)" ""
	JUL_CP = /usr/local/share/java/$(JARFILE_JUL):/usr/share/java/$(JARFILE_JUL)
else
	JUL_CP = $(JAVA_CLASSPATH_OVERRIDE_JUL)/$(JARFILE_JUL)
endif

# Check if the top level makefile overrides the Common Jar file's path.
ifeq "$(JAVA_CLASSPATH_OVERRIDE_COMMON)" ""
	COMMON_CP = /usr/local/share/java/$(JARFILE_COMMON):/usr/share/java/$(JARFILE_COMMON)
else
	COMMON_CP = $(JAVA_CLASSPATH_OVERRIDE_COMMON)/$(JARFILE_COMMON)
endif

JFLAGS = -g
JC = javac -classpath "$(CLASSPATH):$(JUL_CP):$(COMMON_CP):."
.SUFFIXES: .java .class
.java.class:
	$(JC) $(JFLAGS) $*.java

CLASSES = Hello.java FilterChangeListenerExample.java ApplicationContextExample.java

all: classes

classes: $(CLASSES:.java=.class)

.PHONY: clean
clean:
	$(RM) $(CLASSES:.java=*.class)

=== doc/examples/java-log4j2-basic/Makefile ===
# SPDX-License-Identifier: LGPL-2.1-only
#
# Copyright (C) 2014 Christian Babeux <christian.babeux@efficios.com>
#
# This Makefile is not using automake so that users may see how to build a
# program with tracepoint provider probes as stand-alone shared objects.
#
# This makefile is purposefully kept simple to support GNU and BSD make.
#

# Required JAR files for Log4j 2.x
JARFILE_LOG4J2=lttng-ust-agent-log4j2.jar
JARFILE_COMMON=lttng-ust-agent-common.jar

# If system classpath is empty, try to guess log4j location
ifeq "$(CLASSPATH)" ""
	CLASSPATH=/usr/local/share/java/log4j.jar:/usr/share/java/log4j.jar
endif

# Check if the top level makefile overrides the Log4j Jar file's path.
ifeq "$(JAVA_CLASSPATH_OVERRIDE_LOG4J2)" ""
	LOG4J2_CP = /usr/local/share/java/$(JARFILE_LOG4J2):/usr/share/java/$(JARFILE_LOG4J2)
else
	LOG4J2_CP = $(JAVA_CLASSPATH_OVERRIDE_LOG4J2)/$(JARFILE_LOG4J2)
endif

# Check if the top level makefile overrides the Common Jar file's path.
ifeq "$(JAVA_CLASSPATH_OVERRIDE_COMMON)" ""
	COMMON_CP = /usr/local/share/java/$(JARFILE_COMMON):/usr/share/java/$(JARFILE_COMMON)
else
	COMMON_CP = $(JAVA_CLASSPATH_OVERRIDE_COMMON)/$(JARFILE_COMMON)
endif

JFLAGS = -g
JC = javac -classpath "$(CLASSPATH):$(LOG4J2_CP):$(COMMON_CP):."
.SUFFIXES: .java .class
.java.class:
	$(JC) $(JFLAGS) $*.java

CLASSES = HelloLog4j2.java

all: classes

classes: $(CLASSES:.java=.class)

.PHONY: clean
clean:
	$(RM) $(CLASSES:.java=.class)

=== debian/changelog ===
ust (2.14.0-1.1) unstable; urgency=medium

  * Source upload to unstable

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 11 Aug 2025 10:31:24 -0400

ust (2.14.0-1) unstable; urgency=medium

  * [0ed6ec7] New upstream version 2.14.0
  * [81ed43a] Refresh patches
  * [8a3c079] liblttng-ctl SONAME bump to 6
  * [30da3c5] Drop t64 lintian overrides
  * [110b5bb] docs renamed to .md
  * [28e9f21] Refresh upstream signing key
  * [b85d134] Bump standards to 4.7.2
  * [2ef606b] Update debian/copyright
  * [d3d7968] Add log4j2 support
  * [f1328f5] Don't fail CI pipeline with blhc false positive
  * [aebb5b2] Move to debhelper 13

 -- Michael Jeanson <mjeanson@debian.org>  Fri, 08 Aug 2025 13:54:12 -0400

=== debian/control ===
Source: ust
Priority: optional
Maintainer: Jon Bernard <jbernard@debian.org>
Uploaders: Michael Jeanson <mjeanson@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
  default-jdk [!hppa] <!nojava> | default-jdk-headless [!hppa] <!nojava>,
  dh-python,
  javahelper [!hppa] <!nojava>,
  liblog4j1.2-java [!hppa] <!nojava>,
  liblog4j2-java [!hppa] <!nojava>,
  libnuma-dev,
  liburcu-dev (>= 0.12~),
  pkgconf,
  python3-all,
  python3-setuptools,
  texinfo,
  uuid-dev
Standards-Version: 4.7.2
Rules-Requires-Root: no
Section: libs
Vcs-Git: https://salsa.debian.org/debian/ust.git
Vcs-Browser: https://salsa.debian.org/debian/ust
Homepage: https://lttng.org/

Package: liblttng-ust-common1t64
Provides: ${t64:Provides}
Replaces: liblttng-ust-common1
Breaks: liblttng-ust-common1 (<< ${source:Version})
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: LTTng 2.0 Userspace Tracer (common library)
 The userspace tracer is designed to provide detailed information about
 userspace activity. Like the kernel tracer, performance is the main goal.
 Tracing does not require system calls or traps. UST instrumentation points may
 be added in any userspace code including signal handlers and libraries.
 .
 This package contains the common library used by the tracing and control
 libraries.

Package: liblttng-ust1t64
Provides: ${t64:Provides}
Replaces: liblttng-ust1
Breaks: liblttng-ust1 (<< ${source:Version})
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
  liblttng-ust-common1t64 (= ${binary:Version}),
  liblttng-ust-ctl6 (= ${binary:Version})
Description: LTTng 2.0 Userspace Tracer (tracing libraries)
 The userspace tracer is designed to provide detailed information about
 userspace activity. Like the kernel tracer, performance is the main goal.
 Tracing does not require system calls or traps. UST instrumentation points may
 be added in any userspace code including signal handlers and libraries.
 .
 This package contains the actual userspace tracing library that must be linked
 to the instrumented programs.

Package: liblttng-ust-ctl6
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
  liblttng-ust-common1t64 (= ${binary:Version})
Description: LTTng 2.0 Userspace Tracer (trace control library)
 The userspace tracer is designed to provide detailed information about
 userspace activity. Like the kernel tracer, performance is the main goal.
 Tracing does not require system calls or traps. UST instrumentation points may
 be added in any userspace code including signal handlers and libraries.
 .
 This package contains a library to control tracing in other processes. Used by
 lttng-tools.

Package: liblttng-ust-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
  liblttng-ust1t64 (= ${binary:Version}), liblttng-ust-ctl6 (= ${binary:Version}),
  liblttng-ust-python-agent1t64 (= ${binary:Version}), liburcu-dev (>= 0.12~),
  uuid-dev
Recommends: python3
Description: LTTng 2.0 Userspace Tracer (development files)
 The userspace tracer is designed to provide detailed information about
 userspace activity. Like the kernel tracer, performance is the main goal.
 Tracing does not require system calls or traps. UST instrumentation points may
 be added in any userspace code including signal handlers and libraries.
 .
 This package contains the UST library development files necessary to compile
 and link applications against liblttng-ust.

Package: liblttng-ust-java
Section: java
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nojava>
Depends: liblttng-ust-java-jni (<< ${source:Version}.1~),
         liblttng-ust-java-jni (>= ${source:Version}),
         ${java:Depends}, ${misc:Depends}
Description: LTTng 2.0 Userspace Tracer (Java support library)
 The userspace tracer is designed to provide detailed information about
 userspace activity. Like the kernel tracer, performance is the main goal.
 Tracing does not require system calls or traps. UST instrumentation points may
 be added in any userspace code including signal handlers and libraries.
 .
 This package ships the Java side of the JNI interface, as a .jar that can be
 imported directly in Java applications.

Package: liblttng-ust-java-jni
Section: java
Architecture: linux-any
Multi-Arch: same
Build-Profiles: <!nojava>
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: liblttng-ust-java (= ${source:Version})
Description: LTTng 2.0 Userspace Tracer (JNI interface)
 The userspace tracer is designed to provide detailed information about
 userspace activity. Like the kernel tracer, performance is the main goal.
 Tracing does not require system calls or traps. UST instrumentation points may
 be added in any userspace code including signal handlers and libraries.
 .
 This package contains the native side of the JNI interface for lttng-ust.

Package: liblttng-ust-agent-java
Section: java
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nojava>
Depends: liblttng-ust-agent-java-jni (<< ${source:Version}.1~),
         liblttng-ust-agent-java-jni (>= ${source:Version}),
         ${java:Depends}, ${misc:Depends}
Description: LTTng 2.0 Userspace Tracer (Java agent library)
 The userspace tracer is designed to provide detailed information about
 userspace activity. Like the kernel tracer, performance is the main goal.
 Tracing does not require system calls or traps. UST instrumentation points may
 be added in any userspace code including signal handlers and libraries.
 .
 This package ships the Java agent with JUL and log4j support, as a .jar that
 can be imported directly in Java applications.

Package: liblttng-ust-agent-java-jni
Section: java
Architecture: linux-any
Multi-Arch: same
Build-Profiles: <!nojava>
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: liblttng-ust-java (= ${source:Version})
Description: LTTng 2.0 Userspace Tracer (Java agent JNI interface)
 The userspace tracer is designed to provide detailed information about
 userspace activity. Like the kernel tracer, performance is the main goal.
 Tracing does not require system calls or traps. UST instrumentation points may
 be added in any userspace code including signal handlers and libraries.
 .
 This package contains the native side of the Java agent for lttng-ust.

Package: liblttng-ust-python-agent1t64
Provides: ${t64:Provides}
Replaces: liblttng-ust-python-agent1
Breaks: liblttng-ust-python-agent1 (<< ${source:Version})
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
  liblttng-ust1t64 (= ${binary:Version})
Description: LTTng 2.0 Userspace Tracer (Python agent native library)
 The userspace tracer is designed to provide detailed information about
 userspace activity. Like the kernel tracer, performance is the main goal.
 Tracing does not require system calls or traps. UST instrumentation points may
 be added in any userspace code including signal handlers and libraries.
 .
 This package contains a library used by the Python agents.

Package: python3-lttngust
Section: python
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python3:Depends},
  liblttng-ust-python-agent1t64 (>= ${source:Version}),
  liblttng-ust-python-agent1t64 (<< ${source:Version}.1~)
Description: LTTng 2.0 Userspace Tracer (Python 3 UST agent)
 The userspace tracer is designed to provide detailed information about
 userspace activity. Like the kernel tracer, performance is the main goal.
 Tracing does not require system calls or traps. UST instrumentation points may
 be added in any userspace code including signal handlers and libraries.
 .
 This package contains the Python 3.x UST agent.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

EXTRA_CONF_OPTS =
EXTRA_DH_OPTS =

# Disable java packages on architecture that don't have
# an openjdk port.
nojava_archs = hppa
ifneq (,$(filter $(DEB_HOST_ARCH), $(nojava_archs)))
export DEB_BUILD_PROFILES += nojava
endif

ifeq ($(filter nojava,$(DEB_BUILD_PROFILES)),)
export JAVA_HOME = /usr/lib/jvm/default-java
export CLASSPATH = /usr/share/java/log4j-core.jar:/usr/share/java/log4j-api.jar:/usr/share/java/log4j-1.2.jar

EXTRA_DH_OPTS += --with javahelper

EXTRA_CONF_OPTS += --enable-jni-interface \
		   --enable-java-agent-all \
		   --with-java-prefix=$(JAVA_HOME)
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_PYTHON_INSTALL_LAYOUT = deb

%:
	dh $@ --with=python3 $(EXTRA_DH_OPTS)

override_dh_auto_configure:
	PYTHON=python3 \
	dh_auto_configure -- \
		--includedir=/usr/include/$(DEB_HOST_MULTIARCH) \
		--enable-python-agent \
		$(EXTRA_CONF_OPTS)

ifeq ($(filter nojava,$(DEB_BUILD_PROFILES)),)
override_dh_makeshlibs:
	dh_makeshlibs -V -X/usr/lib/$(DEB_HOST_MULTIARCH)/jni

override_jh_manifest:
	jh_manifest -pliblttng-ust-agent-java
endif

override_dh_auto_test:
# https://bugs.lttng.org/issues/1337
# LP: #1953065
ifeq ($(shell dpkg-buildflags --get LDFLAGS | grep -q -- '-Wl,-Bsymbolic-functions' && echo yes),yes)
	dh_auto_test -- UST_TESTS_LD_SYMBOLIC_FUNC=1
else
	dh_auto_test
endif

execute_after_dh_auto_clean:
	rm -f src/python-lttngust/installed_files.txt
	rm -rf src/python-lttngust/lttngust.egg-info

## ust 2.15.0

=== debian/changelog ===
ust (2.15.0-1) unstable; urgency=medium

  * [7dadc79] New upstream version 2.15.0
  * [cc608b7] Update symbols for 2.15.0
  * [0b906e2] d/control: Update dependencies
  * [2f9e6a8] d/control: Update to new standards
  * [1db27da] Update debian/copyright

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 18 Feb 2026 17:05:41 -0500

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,4 @@
 Source: ust
-Priority: optional
 Maintainer: Jon Bernard <jbernard@debian.org>
 Uploaders: Michael Jeanson <mjeanson@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
@@ -9,14 +8,13 @@
   liblog4j1.2-java [!hppa] <!nojava>,
   liblog4j2-java [!hppa] <!nojava>,
   libnuma-dev,
-  liburcu-dev (>= 0.12~),
+  liburcu-dev (>= 0.15~),
   pkgconf,
   python3-all,
   python3-setuptools,
   texinfo,
   uuid-dev
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Section: libs
 Vcs-Git: https://salsa.debian.org/debian/ust.git
 Vcs-Browser: https://salsa.debian.org/debian/ust
@@ -79,7 +77,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
   liblttng-ust1t64 (= ${binary:Version}), liblttng-ust-ctl6 (= ${binary:Version}),
-  liblttng-ust-python-agent1t64 (= ${binary:Version}), liburcu-dev (>= 0.12~),
+  liblttng-ust-python-agent1t64 (= ${binary:Version}), liburcu-dev (>= 0.15~),
   uuid-dev
 Recommends: python3
 Description: LTTng 2.0 Userspace Tracer (development files)
